Package org.eclipse.emf.compare.match.eobject

# Interface EqualityHelperExtensionProvider.Descriptor.Registry

All Known Implementing Classes:
  `EqualityHelperExtensionProviderDescriptorRegistryImpl`

Enclosing interface:
  `EqualityHelperExtensionProvider.Descriptor`

public static interface EqualityHelperExtensionProvider.Descriptor.Registry
Registry of equality helper extension provider descriptors.

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Removes all extensions from this registry.
`Collection<EqualityHelperExtensionProvider.Descriptor>`
`getDescriptors()`
This will return a copy of the registered equality helper extension providers list.
`Collection<EqualityHelperExtensionProvider>`
`getEqualityHelperExtensionProviders(EPackage ePackage)`
Retrieve the equality helper extension providers from a given `ePackage`.
`EqualityHelperExtensionProvider`
`getHighestRankingEqualityHelperExtensionProvider(EPackage ePackage)`
Retrieve the highest ranking equality helper extension provider from a given `ePackage`.
`EqualityHelperExtensionProvider.Descriptor`
`put(String key, EqualityHelperExtensionProvider.Descriptor descriptor)`
Adds a equality helper extension provider to the registry.
`EqualityHelperExtensionProvider.Descriptor`
`remove(String key)`
Removes a equality helper extension provider from this registry.

## Method Details

### put

EqualityHelperExtensionProvider.Descriptor put(String key, EqualityHelperExtensionProvider.Descriptor descriptor)
Adds a equality helper extension provider to the registry.

Parameters:
  `key` - key with which the specified descriptor is to be associated
  `descriptor` - equality helper extension provider that is to be added to this registry.
Returns:
  the previous descriptor associated with `key`, or `null` if there was no mapping for `key`. (A `null` return can also indicate that the map previously associated `null` with `key`, if the implementation supports `null` values.)

### clear

void clear()
Removes all extensions from this registry.

Restriction:
  This method is not intended to be referenced by clients.

### getDescriptors

Collection<EqualityHelperExtensionProvider.Descriptor> getDescriptors()
This will return a copy of the registered equality helper extension providers list.

Returns:
  A copy of the registered equality helper extension providers list.

### remove

EqualityHelperExtensionProvider.Descriptor remove(String key)
Removes a equality helper extension provider from this registry.

Parameters:
  `key` - key of the equality helper extension provider descriptor that is to be removed from the registry.
Returns:
  the previous value associated with `key`, or `null` if there was no mapping for `key`.

### getHighestRankingEqualityHelperExtensionProvider

EqualityHelperExtensionProvider getHighestRankingEqualityHelperExtensionProvider(EPackage ePackage)
Retrieve the highest ranking equality helper extension provider from a given `ePackage`.

Parameters:
  `ePackage` - The given ePackage.
Returns:
  The associated equality helper extension provider with the highest ranking.

### getEqualityHelperExtensionProviders

Collection<EqualityHelperExtensionProvider> getEqualityHelperExtensionProviders(EPackage ePackage)
Retrieve the equality helper extension providers from a given `ePackage`.

Parameters:
  `ePackage` - The given ePackage.
Returns:
  The associated equality helper extension providers if any.